Chromium Code Reviews
Help | Chromium Project | Sign in
(11)

Issue 11301016: [cros] Prevent extensions from opening dialogs on Login screen. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years, 11 months ago by Ivan Korotkov
Modified:
3 years, 11 months ago
Reviewers:
Aaron Boodman
CC:
chromium-reviews, chromium-apps-reviews_chromium.org
Visibility:
Public.

Description

[cros] Prevent extensions from opening dialogs on Login screen. BUG=chrome-os-partner:13898 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=164806

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+15 lines, -0 lines) Patch
M chrome/browser/extensions/extension_host.h View 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/extensions/extension_host.cc View 2 chunks +12 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 9 (0 generated)
Ivan Korotkov
Hi Aaron, could you please take a look?
3 years, 11 months ago (2012-10-29 12:58:26 UTC) #1
Aaron Boodman
Weird layering to have this class know so much about the context it is used ...
3 years, 11 months ago (2012-10-29 15:52:59 UTC) #2
Ivan Korotkov
Looking at ExtensionHostManager, it seems that a new ExtensionHost instance is created for each extension's ...
3 years, 11 months ago (2012-10-29 16:11:09 UTC) #3
Nikita (slow)
On 2012/10/29 16:11:09, Ivan Korotkov wrote: > We need some trivial change here, as we ...
3 years, 11 months ago (2012-10-29 18:52:22 UTC) #4
Aaron Boodman
OK, temporary change LGTM
3 years, 11 months ago (2012-10-29 19:12:54 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ivankr@chromium.org/11301016/1
3 years, 11 months ago (2012-10-29 19:15:14 UTC) #6
commit-bot: I haz the power
Retried try job too often for step(s) content_browsertests
3 years, 11 months ago (2012-10-29 21:07:48 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ivankr@chromium.org/11301016/1
3 years, 11 months ago (2012-10-29 21:32:26 UTC) #8
commit-bot: I haz the power
3 years, 11 months ago (2012-10-30 01:07:16 UTC) #9
Change committed as 164806
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld d026d65